Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2006033002: Disable frame navigations during DocumentLoader detach in FrameLoader::startLoad (Closed)

Created:
3 years ago by Nate Chapin
Modified:
2 years, 12 months ago
Reviewers:
dcheng
CC:
blink-reviews, chromium-reviews, gavinp+loader_chromium.org, loading-reviews_chromium.org, tyoshino+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Disable frame navigations during DocumentLoader detach in FrameLoader::startLoad BUG=613266 Committed: https://crrev.com/1948aefa8901dca0ccb993753fca00b15d2a6e25 Cr-Commit-Position: refs/heads/master@{#396241}

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : Wild idea #

Patch Set 5 : -Wild idea, +test #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+34 lines, -1 line) Patch
A third_party/WebKit/LayoutTests/http/tests/navigation/start-load-during-provisional-loader-detach.html View 1 2 3 4 1 chunk +27 lines, -0 lines 1 comment Download
A third_party/WebKit/LayoutTests/http/tests/navigation/start-load-during-provisional-loader-detach-expected.txt View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLAnchorElement.cpp View 1 2 3 4 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/loader/FrameLoader.cpp View 1 2 4 1 chunk +4 lines, -1 line 0 comments Download

Messages

Total messages: 16 (7 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2006033002/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2006033002/80001
2 years, 12 months ago (2016-05-25 21:56:30 UTC) #3
Nate Chapin
D: https://codereview.chromium.org/2006033002/diff/80001/third_party/WebKit/LayoutTests/http/tests/navigation/start-load-during-provisional-loader-detach.html File third_party/WebKit/LayoutTests/http/tests/navigation/start-load-during-provisional-loader-detach.html (right): https://codereview.chromium.org/2006033002/diff/80001/third_party/WebKit/LayoutTests/http/tests/navigation/start-load-during-provisional-loader-detach.html#newcode11 third_party/WebKit/LayoutTests/http/tests/navigation/start-load-during-provisional-loader-detach.html:11: child.contentWindow.onload = function() { This test fails without ...
2 years, 12 months ago (2016-05-25 23:03:08 UTC) #5
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
2 years, 12 months ago (2016-05-26 01:04:38 UTC) #7
commit-bot: I haz the power
Dry run: None
2 years, 12 months ago (2016-05-26 01:04:58 UTC) #8
dcheng
lgtm Out of curiosity, will you try to make it go through NavigationScheduler in a ...
2 years, 12 months ago (2016-05-26 17:32:13 UTC) #9
Nate Chapin
On 2016/05/26 17:32:13, dcheng wrote: > lgtm > > Out of curiosity, will you try ...
2 years, 12 months ago (2016-05-26 17:41:58 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2006033002/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2006033002/80001
2 years, 12 months ago (2016-05-26 18:38:20 UTC) #12
commit-bot: I haz the power
Committed patchset #5 (id:80001)
2 years, 12 months ago (2016-05-26 18:43:10 UTC) #14
commit-bot: I haz the power
2 years, 12 months ago (2016-05-26 18:44:21 UTC) #16
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/1948aefa8901dca0ccb993753fca00b15d2a6e25
Cr-Commit-Position: refs/heads/master@{#396241}

Powered by Google App Engine
This is Rietveld 408576698